<?php



$tdatatb_metricas = array();
$tdatatb_metricas[".searchableFields"] = array();
$tdatatb_metricas[".ShortName"] = "tb_metricas";
$tdatatb_metricas[".OwnerID"] = "";
$tdatatb_metricas[".OriginalTable"] = "tb_metricas";


$tdatatb_metricas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_metricas[".originalPagesByType"] = $tdatatb_metricas[".pagesByType"];
$tdatatb_metricas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_metricas[".originalPages"] = $tdatatb_metricas[".pages"];
$tdatatb_metricas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_metricas[".originalDefaultPages"] = $tdatatb_metricas[".defaultPages"];

//	field labels
$fieldLabelstb_metricas = array();
$fieldToolTipstb_metricas = array();
$pageTitlestb_metricas = array();
$placeHolderstb_metricas = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_metricas["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_metricas["Portuguese(Brazil)"] = array();
	$placeHolderstb_metricas["Portuguese(Brazil)"] = array();
	$pageTitlestb_metricas["Portuguese(Brazil)"] = array();
	$fieldLabelstb_metricas["Portuguese(Brazil)"]["metricaID"] = "Metrica ID";
	$fieldToolTipstb_metricas["Portuguese(Brazil)"]["metricaID"] = "";
	$placeHolderstb_metricas["Portuguese(Brazil)"]["metricaID"] = "";
	$fieldLabelstb_metricas["Portuguese(Brazil)"]["metrica"] = "Metrica";
	$fieldToolTipstb_metricas["Portuguese(Brazil)"]["metrica"] = "";
	$placeHolderstb_metricas["Portuguese(Brazil)"]["metrica"] = "";
	if (count($fieldToolTipstb_metricas["Portuguese(Brazil)"]))
		$tdatatb_metricas[".isUseToolTips"] = true;
}


	$tdatatb_metricas[".NCSearch"] = true;


	$tdatatb_metricas[".scrollGridBody"] = true;

$tdatatb_metricas[".shortTableName"] = "tb_metricas";
$tdatatb_metricas[".nSecOptions"] = 0;

$tdatatb_metricas[".mainTableOwnerID"] = "";
$tdatatb_metricas[".entityType"] = 0;

$tdatatb_metricas[".strOriginalTableName"] = "tb_metricas";

	



$tdatatb_metricas[".showAddInPopup"] = false;

$tdatatb_metricas[".showEditInPopup"] = false;

$tdatatb_metricas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_metricas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_metricas[".listAjax"] = false;
//	temporary
$tdatatb_metricas[".listAjax"] = false;

	$tdatatb_metricas[".audit"] = false;

	$tdatatb_metricas[".locking"] = false;


$pages = $tdatatb_metricas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_metricas[".edit"] = true;
	$tdatatb_metricas[".afterEditAction"] = 0;
	$tdatatb_metricas[".closePopupAfterEdit"] = 1;
	$tdatatb_metricas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_metricas[".add"] = true;
$tdatatb_metricas[".afterAddAction"] = 0;
$tdatatb_metricas[".closePopupAfterAdd"] = 1;
$tdatatb_metricas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_metricas[".list"] = true;
}



$tdatatb_metricas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_metricas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_metricas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_metricas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_metricas[".printFriendly"] = true;
}



$tdatatb_metricas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_metricas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_metricas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_metricas[".isUseAjaxSuggest"] = true;

$tdatatb_metricas[".rowHighlite"] = true;





$tdatatb_metricas[".ajaxCodeSnippetAdded"] = false;

$tdatatb_metricas[".buttonsAdded"] = false;

$tdatatb_metricas[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_metricas[".isUseTimeForSearch"] = false;


$tdatatb_metricas[".badgeColor"] = "4169E1";


$tdatatb_metricas[".allSearchFields"] = array();
$tdatatb_metricas[".filterFields"] = array();
$tdatatb_metricas[".requiredSearchFields"] = array();

$tdatatb_metricas[".googleLikeFields"] = array();
$tdatatb_metricas[".googleLikeFields"][] = "metricaID";
$tdatatb_metricas[".googleLikeFields"][] = "metrica";



$tdatatb_metricas[".tableType"] = "list";

$tdatatb_metricas[".printerPageOrientation"] = 0;
$tdatatb_metricas[".nPrinterPageScale"] = 100;

$tdatatb_metricas[".nPrinterSplitRecords"] = 40;

$tdatatb_metricas[".geocodingEnabled"] = false;










$tdatatb_metricas[".pageSize"] = 20;

$tdatatb_metricas[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_metricas[".strOrderBy"] = $tstrOrderBy;

$tdatatb_metricas[".orderindexes"] = array();

$tdatatb_metricas[".sqlHead"] = "SELECT metricaID,  	metrica";
$tdatatb_metricas[".sqlFrom"] = "FROM tb_metricas";
$tdatatb_metricas[".sqlWhereExpr"] = "";
$tdatatb_metricas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_metricas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_metricas[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_metricas[".highlightSearchResults"] = true;

$tableKeystb_metricas = array();
$tableKeystb_metricas[] = "metricaID";
$tdatatb_metricas[".Keys"] = $tableKeystb_metricas;


$tdatatb_metricas[".hideMobileList"] = array();




//	metricaID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "metricaID";
	$fdata["GoodName"] = "metricaID";
	$fdata["ownerTable"] = "tb_metricas";
	$fdata["Label"] = GetFieldLabel("tb_metricas","metricaID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "metricaID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "metricaID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_metricas["metricaID"] = $fdata;
		$tdatatb_metricas[".searchableFields"][] = "metricaID";
//	metrica
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "metrica";
	$fdata["GoodName"] = "metrica";
	$fdata["ownerTable"] = "tb_metricas";
	$fdata["Label"] = GetFieldLabel("tb_metricas","metrica");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "metrica";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "metrica";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_metricas["metrica"] = $fdata;
		$tdatatb_metricas[".searchableFields"][] = "metrica";


$tables_data["tb_metricas"]=&$tdatatb_metricas;
$field_labels["tb_metricas"] = &$fieldLabelstb_metricas;
$fieldToolTips["tb_metricas"] = &$fieldToolTipstb_metricas;
$placeHolders["tb_metricas"] = &$placeHolderstb_metricas;
$page_titles["tb_metricas"] = &$pageTitlestb_metricas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_metricas"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_metricas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_metricas()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "metricaID,  	metrica";
$proto0["m_strFrom"] = "FROM tb_metricas";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "metricaID",
	"m_strTable" => "tb_metricas",
	"m_srcTableName" => "tb_metricas"
));

$proto6["m_sql"] = "metricaID";
$proto6["m_srcTableName"] = "tb_metricas";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "metrica",
	"m_strTable" => "tb_metricas",
	"m_srcTableName" => "tb_metricas"
));

$proto8["m_sql"] = "metrica";
$proto8["m_srcTableName"] = "tb_metricas";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "tb_metricas";
$proto11["m_srcTableName"] = "tb_metricas";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "metricaID";
$proto11["m_columns"][] = "metrica";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "tb_metricas";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "tb_metricas";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_metricas";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_metricas = createSqlQuery_tb_metricas();


	
		;

		

$tdatatb_metricas[".sqlquery"] = $queryData_tb_metricas;

$tableEvents["tb_metricas"] = new eventsBase;
$tdatatb_metricas[".hasEvents"] = false;

?>